%define		gitdate 070612

Name:           compiz
Url:            http://www.freedesktop.org/Software/compiz
License:        X11/MIT/GPL
Group:          User Interface/Desktops
Version:        0.5.1
Release:        %{gitdate}.2%{?dist}
#Release:        1.sla

Summary:        OpenGL window and compositing manager
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# libdrm is not available on these arches
ExcludeArch:   	s390 s390x ppc64

Requires:	xorg-x11-server-Xorg >= 1.1.0-26
Requires:	mesa-libGL >= 6.5-9
Requires:	libwnck >= 2.15.4
Requires:       system-logos
#Requires:	gnome-session >= 2.15.90-2.fc6
Requires:	xorg-x11-server-Xgl >= 0.0.1
Requires:	system-config-xselector

BuildRequires:  libX11-devel, libdrm-devel, libwnck-devel
BuildRequires:  libXfixes-devel, libXrandr-devel, libXrender-devel
BuildRequires:  libXcomposite-devel, libXdamage-devel, libXext-devel
BuildRequires:  libXt-devel, libXmu-devel, libICE-devel, libSM-devel
BuildRequires:  intltool >= 0.35
BuildRequires:  gettext 
BuildRequires:  dbus-devel
BuildRequires:  librsvg2-devel fuse-devel
BuildRequires:  metacity metacity-devel
BuildRequires:  gnome-desktop-devel, control-center-devel, GConf2-devel
BuildRequires:	qt-devel, kdelibs-devel, kdebase-devel, dbus-qt-devel
BuildRequires:	libxslt

# git-clone git://anongit.freedesktop.org/git/xorg/app/compiz
# rm -fr compiz/.git
# mv compiz compiz-%{version}
# tar -cvjf %{name}-%{version}-%{gitdate}.tar.bz2 compiz-%{version}


Source0:        %{name}-%{version}-%{gitdate}.tar.bz2
#Source0:        %{name}-%{version}.tar.bz2
NoSource:	0

# Sessions
Source20:	gnome-compiz-session
Source21:	startkde-compiz
Source22:	gnome-compiz.desktop
Source23:	kde-compiz.desktop

Patch101:	fedora-logo.patch
Patch102:	compiz-java-config-notify.diff

%description
Compiz is one of the first OpenGL-accelerated compositing window
managers for the X Window System. The integration allows it to perform
compositing effects in window management, such as a minimization
effect and a cube workspace.  Compiz is an OpenGL compositing manager
that uses EXT_texture_from_pixmap OpenGL extension extension
for binding redirected top-level windows to texture objects.

%package devel
Summary:	Development packages for compiz.
Group:		Development/Libraries
Requires:	compiz = %{PACKAGE_VERSION}
Requires:	pkgconfig

%description devel
The compiz-devel package includes the header files,
and developer docs for the compiz package.

Install compiz-devel if you want to develop plugins for the compiz
window and compositing manager.

%package gtk
Summary:        Gtk support for compiz.
Group:          User Interface/Desktops
Requires:       compiz = %{PACKAGE_VERSION}
Requires:       pkgconfig
Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun):GConf2

%description gtk
The compiz-gtk package includes the gtk window decorator.

%package kde
Summary:        KDE support for compiz.
Group:          User Interface/Desktops
Requires:       compiz = %{PACKAGE_VERSION}
Requires:       pkgconfig
Requires:	kdebase dbus-qt

%description kde
The compiz-kde package includes the kde window decorator.

%prep
%setup -q

%patch101 -p0 -b .fedora-logo
%patch102 -p0 -b .compiz-java-config-notify

%build
autoreconf -v --install || exit 1
intltoolize --copy --force --automake || exit 1
glib-gettextize --copy --force || exit 1

%configure \
	--enable-libsvg-cairo \
	--enable-librsvg \
	--with-scale-corner="TopRight" \
	--with-default-plugins="gconf,png,decoration,wobbly,fade,minimize,cube,rotate,scale,move,resize,place,switcher,water,clone,annotate,zoom,screenshot,dbus,svg,blur,glib"

%{__make} %{?_smp_mflags} imagedir=%{_datadir}/pixmaps


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=$RPM_BUILD_ROOT install || exit 1
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} ';'
rm -fr $RPM_BUILD_ROOT%{_datadir}/gnome-control-center

install -m 0755 %{SOURCE20} %{SOURCE21} \
	$RPM_BUILD_ROOT%{_bindir} || exit 1
%{__mkdir} -p $RPM_BUILD_ROOT%{_datadir}/xsessions
install -m 0644 %{SOURCE22} %{SOURCE23} \
	$RPM_BUILD_ROOT%{_datadir}/xsessions || exit 1

%post
export GCONF_CONFIG_SOURCE=`/usr/bin/gconftool-2 --get-default-source`
/usr/bin/gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/compiz-*.schemas >& /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
    	%{_sysconfdir}/gconf/schemas/compiz-*.schemas >& /dev/null || :
fi

%preun
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/gconf/schemas/compiz-*.schemas >& /dev/null || :
fi

%post gtk
export GCONF_CONFIG_SOURCE=`/usr/bin/gconftool-2 --get-default-source`
/usr/bin/gconftool-2 --makefile-install-rule \
        %{_sysconfdir}/gconf/schemas/gwd.schemas >& /dev/null || :

%pre gtk
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/gconf/schemas/gwd.schemas >& /dev/null || :
fi

%preun gtk
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/gconf/schemas/gwd.schemas >& /dev/null || :
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING* INSTALL README TODO
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/compiz
%{_libdir}/libdecoration.so.*
%{_libdir}/compiz
%{_libdir}/window-manager-settings/libcompiz.so
%{_datadir}/compiz
%{_datadir}/locale/*/LC_MESSAGES/compiz.mo

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libdecoration.so
%{_includedir}/compiz

%files gtk
%defattr(-, root, root)
%{_bindir}/gtk-window-decorator
%{_bindir}/gnome-compiz-session
%{_datadir}/xsessions/gnome-compiz.desktop
%{_datadir}/gnome/wm-properties/compiz.desktop

%files kde
%defattr(-, root, root)
%{_bindir}/kde-window-decorator
%{_bindir}/startkde-compiz
%{_datadir}/xsessions/kde-compiz.desktop


%changelog
* Tue Jun 12 2007 Simone Caronni <slaanesh@fastwebnet.it> 0.5.1-070612-2.sla
- Updated to latest git.

* Wed May 30 2007 Simone Caronni <slaanesh@fastwebnet.it> 0.5.1-070524-1.sla
- Updated to latest git.

* Fri May 18 2007 Simone Caronni <slaanesh@fastwebnet.it> 0.5.1-070518-1.sla
- Updated to latest git, dropped temp patch.
- Added libxslt dependancy.
- Adjusted gconf commands to new schema names.

* Wed May 09 2007 Simone Caronni <slaanesh@fastwebnet.it> 0.5.1-070508-1.sla
- Updated to latest git.
- New Metadata System, temp patch for install.
- Updated fedora logo patch for Metadata.

* Mon Apr 23 2007 Simone Caronni <slaanesh@fastwebnet.it> 0.5.1-070420-1.sla
- Updated to latest git.

* Fri Apr 13 2007 Simone Caronni <slaanesh@fastwebnet.it> 0.5.1-070413-1.sla
- Updated to latest git.

* Wed Mar 21 2007 Simone Caronni <slaanesh@fastwebnet.it> 0.3.7-070321.2.sla
- Updated to latest git.
- Removed difference between Xgl and AIGLX/Nvidia, reverted to single session
  checking for Xgl upon startup. X selector does the same in GDM.

* Tue Mar 13 2007 Simone Caronni <slaanesh@fastwebnet.it> 0.3.7-070313.1.sla
- Updated to latest git.
- Updated BuildRequires for FUSE.
- Use new ini plugin as default for storing settings in kde session scripts.
- Moved gconf schemas into gtk package.
- Removed inotify, video and fs plugins from default list as they're mostly useless now.

* Tue Mar 06 2007 Simone Caronni <slaanesh@fastwebnet.it> 0.3.7-070305.1.sla
- Updated to latest git.
- Video plugin not added to scripts as it doesn't work with unredirected
  fullscreen windows and requires output support in players.

* Mon Mar 05 2007 Simone Caronni <slaanesh@fastwebnet.it> 0.3.7-070302.1.sla
- Updated to latest git.
- Xgl session scripts check for running Xgl on display 0 when starting. This
  can be used to start Xgl by gdm without changing the session script.

* Fri Mar 02 2007 Simone Caronni <slaanesh@fastwebnet.it> 0.3.7-070301.2.sla
- Updated to latest git.
- Moved gwd schema to compiz-gtk.
- Added default plugins list to configure that includes all plugins except plane and regex.
- Removed gconf plugin declaration from session scripts.
- Split xwinwrap package.

* Wed Feb 21 2007 Simone Caronni <slaanesh@fastwebnet.it> 0.3.7-070221.1.sla
- Added Suse java patch.
- Removed compiz-start and compiz-stop scripts.
- Updated to latest git.

* Tue Feb 13 2007 Simone Caronni <slaanesh@fastwebnet.it> 0.3.7-070214.2.sla
- Added entries into GDM/KDM login screen for both GNOME and KDE.
- Fixed Requires for KDE.

* Fri Feb 06 2007 Simone Caronni <slaanesh@fastwebnet.it> 0.3.7-070206.2.sla
- Updated to latest git.
- Added dbus-qt from Extras.
- Splitted packages for kde/gtk, removed package for xgl.
- Modifies compiz-start script to check for Xgl.
- Merged in latest updates from Fedora Core 6 0.3.6.
- Added KDE Window Decorator, plugins.

* Mon Nov 27 2006 Simone Caronni <slaanesh@fastwebnet.it> 0.3.4-2.sla
- Backported some rawhide patches.
- Changed compiz-start script.

* Wed Nov 22 2006 Simone Caronni <slaanesh@fastwebnet.it> 0.3.4-1.sla
- Updated to latest development release.

* Tue Nov 21 2006 Simone Caronni <slaanesh@fastwebnet.it> 0.3.3-061121.1.sla
- Renamed scripts, as nvidia implementation it's not called aiglx.
- Updated to latest git.

* Mon Nov 13 2006 Simone Caronni <slaanesh@fastwebnet.it> 0.3.3-061115.2.sla
- Updated to latest git.
- Removed desktop-effects as it does reset some gconf settings.
- Moved compiz-aiglx into main package along with compiz-stop.

* Sat Nov 12 2006 Simone Caronni <slaanesh@fastwebnet.it> 0.3.3-061112.1.sla
- Updated to latest git.
- Modified order in which plugins get loaded by the scripts as suggested
  by David Reveman on the mailing list and added new plugins.
- Updated desktop-effects from rawhide.

* Mon Oct 23 2006 Simone Caronni <slaanesh@fastwebnet.it> 0.3.2-2.sla
- Updated AIGLX script and moved back xwinwrap to main package as it now
  works on AIGLX.

* Mon Oct 23 2006 Simone Caronni <slaanesh@fastwebnet.it> 0.3.2-1.sla
- Updated to latest development release.
- Removed memory leak patch.

* Tue Oct 17 2006 Simone Caronni <slaanesh@fastwebnet.it> 0.2.0-3.sla
- Moved xwinwrap in xgl package as it doesn't work with AIGLX.

* Mon Oct 09 2006 Simone Caronni <slaanesh@fastwebnet.it> 0.2.0-2.sla
- Add back desktop-effects with menu change.
- Patch desktop-effects with latest compiz changes.

* Fri Oct 06 2006 Simone Caronni <slaanesh@fastwebnet.it> 0.2.0-1.sla
- Updated to first stable version.
- Changed AIGLX/Xgl scripts to match new names/options.
- Small memory leak patch from post-0.2.0.
- Removed desktop effects.

* Mon Sep 25 2006 Simone Caronni <slaanesh@fastwebnet.it> 0.0.13-060922git.2.sla
- Updated desktop-effects 0.6.137.

* Mon Sep 25 2006 Simone Caronni <slaanesh@fastwebnet.it> 0.0.13-060922git.1.sla
- Updated to latest git.
- Changed requirements.

* Mon Sep 18 2006 Simone Caronni <slaanesh@fastwebnet.it> 0.0.13-060915git.1.sla
- Updated to latest git.

* Wed Aug 30 2006 Simone Caronni <slaanesh@fastwebnet.it> 0.0.13-060822git.2.sla
- Added aiglx and xgl meta packages to pull in right dependencies through yum
  and avoid installing updated xorg-x11-server-Xorg with proprietary drivers.
  This solves a lot of problems with fglrx.so and X.org 7.1 ABI change.
- Added start scripts to use in both XGL/AIGLX variants.

* Thu Aug 24 2006 Simone Caronni <slaanesh@fastwebnet.it> 0.0.13-060822git.1.sla
- Updated to latest git.
- Switched from libsvg-cairo to librsvg2.
- Removed keybindings patch as integrated upstream.

* Tue Aug 22 2006 Simone Caronni <slaanesh@fastwebnet.it> 0.0.13-060725git.2.sla
- Renamed package and spec file, now works on both AIGLX/Xgl!
- Added compiz icon from compiz.net for Fedora's desktop-effects until an
  icon is provided.
- Added Xinerama patch.

* Fri Aug 18 2006 Simone Caronni <slaanesh@fastwebnet.it> 0.0.13-060725.aiglx.1.sla
- Rebuilt from CVS based on FC6 aiglx build.
- Lowered libwnck, gnome-session and fedora-logos requirement, added libsvg-cairo.
- Added xwinwrap.

* Thu Aug 10 2006 Ray Strode <rstrode@redhat.com> 0.0.13-0.15.20060721git.fc5.aiglx
- Add Requires: gnome-session 2.15.90-2.fc6 (bug 201473)
- unlink session file on changing wms (bug 201473)

